%global commit 42460977ccc63bed5585ae33757054b582b5dc60
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%define temp_password Ua9Aiyieki

Name:       check-mk
Version:    1.4.0p31
Release:    8%{?dist}
Summary:    A new general purpose Nagios-plugin for retrieving data
License:    GPLv2 and GPLv3
URL:        https://mathias-kettner.de/check_mk
# Produce with 'wget http://git.mathias-kettner.de/git/?p=check_mk.git;a=snapshot;h=%%{commit};sf=tgz -O check_mk-%%{version}.tar.gz',
# then "tar xvf check_mk-%%{version}.tar.gz && cd check_mk-%%{short_commit}". Once done, running 'make dist' on the top level directory
# will properly generate a tarball. More details about why this was made necessary on the 1.2.6-1 release changelog entry.
Source:     check_mk-%{version}.tar.gz
BuildRequires: %{_bindir}/htpasswd
BuildRequires: %{_bindir}/perl
BuildRequires: gcc-c++
BuildRequires: rrdtool-devel
BuildRequires: boost-devel
%if 0%{?fedora}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  libstdc++-static
%else
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%endif
%if 0%{?rhel}
BuildRequires: devtoolset-7-toolchain, devtoolset-7-libatomic-devel
%endif
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires: systemd
%endif
Requires:   nagios
%if 0%{?el6}
Requires:   mod_python
%endif
Requires:   python2-cmk
Source1:    First-Installation.txt
Patch0:     01-Downtime-Struct-Update.patch
Patch1:     02-check_mkevents.patch
Patch2:     03-setup.sh.patch
Patch3:     04-fix-paths.patch
Patch4:     05-fix-version-vars.patch
AutoReq:    0

# Do not get provides from any of the documentation files
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_docdir}/.*$

# Do not require any other shell than bash since that's the default Fedora / RHEL shell
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
%global __requires_exclude %{?__requires_exclude}|^/bin/sh$
%global __requires_exclude %{?__requires_exclude}|^/usr/bin/ksh$
%global __requires_exclude %{?__requires_exclude}|^/usr/bin/php$
%endif

%if 0%{?rhel} == 6
%filter_from_requires /^\/bin\/sh/d
%filter_from_requires /^\/usr\/bin\/ksh/d
%filter_from_requires /^\/usr\/bin\/bash/d
%filter_from_requires /^\/usr\/bin\/php/d
%filter_setup
%endif

%description
check-mk is a general purpose Nagios-plugin for retrieving data. It adopts a
new approach for collecting data from operating systems and network components.
It obsoletes NRPE, check_by_ssh, NSClient, and check_snmp and it has many
benefits, the most important are a significant reduction of CPU usage on
the Nagios host and an automatic inventory of items to be checked on hosts.

%package agent
Summary:    The check-mk's Agent
Requires:   bind-utils

%description agent
This package contains the check-mk's agent. Install the following
agent on all the machines you plan to monitor with check-mk.

%package docs
Summary:    The check-mk's documentation
BuildArch:  noarch
AutoReq:    0
%if 0%{?rhel}
AutoProv:   0
%endif

%description docs
This package contains the check-mk's documentation files.

%package -n python2-cmk
Summary:    Python 2 check-mk module
BuildArch:  noarch
%{?python_provide:%python_provide python2-cmk}

%description -n python2-cmk
This package contains the Python 2 check-mk module.

%package livestatus
Summary:    The check-mk's Livestatus
Requires:   boost-system
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description livestatus
This package contains livestatus, the check-mk's plugin for
accessing the relevant Nagios files being responsible of
listing the hosts and services status.

%package multisite
Summary:    The check-mk's Multisite
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description multisite
This package contains the check-mk's web interface aka WATO.

%prep
%setup -q -n check_mk-%{version}
tar xf agents.tar.gz
gunzip livestatus.tar.gz
tar xf livestatus.tar
%patch0 -p0
tar rf livestatus.tar nagios/downtime.h
gzip livestatus.tar
%patch1 -p0
%patch2 -p0

tar xf lib.tar.gz && rm -f lib.tar.gz
tar xf web.tar.gz && rm -f web.tar.gz
%patch3 -p0
%patch4 -p0
tar zcf web.tar.gz htdocs plugins
tar zcf lib.tar.gz cmk

%build
%if 0%{?rhel}
. /opt/rh/devtoolset-7/enable
%endif

rm -f waitmax
make waitmax

mkdir active_checks
tar xvf active_checks.tar.gz -C active_checks
make -C active_checks

%install

# Agent's installation

install -d -m 755 %{buildroot}%{_sysconfdir}/xinetd.d
install -m 644 cfg_examples/xinetd.conf %{buildroot}%{_sysconfdir}/xinetd.d/check-mk-agent
install -m 644 cfg_examples/xinetd_caching.conf %{buildroot}%{_sysconfdir}/xinetd.d/check-mk-caching-agent

# Make sure check-mk-caching-agent is installed but not enabled by default
sed -i 's/\tdisable        = no/\tdisable        = yes/g' cfg_examples/xinetd_caching.conf \
  %{buildroot}%{_sysconfdir}/xinetd.d/check-mk-caching-agent

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 check_mk_agent.linux %{buildroot}%{_bindir}/check_mk_agent
install -m 755 check_mk_caching_agent.linux %{buildroot}%{_bindir}/check_mk_caching_agent

# mk-job installation
install -m 755 mk-job %{buildroot}%{_bindir}/mk-job

# Waitmax's binary
install -m 755 waitmax %{buildroot}%{_bindir}/waitmax

install -d -m 755 %{buildroot}%{_datadir}/check-mk-agent
install -d -m 755 %{buildroot}%{_datadir}/check-mk-agent/plugins
install -d -m 755 %{buildroot}%{_datadir}/check-mk-agent/local

# Create an /etc/check-mk-agent directory for agent's configuration files. Examples
# will be then available under the /usr/share/check_mk/agents/cfg_examples directory.
install -d -m 755 %{buildroot}%{_sysconfdir}/check-mk-agent

perl -pi \
    -e 's|MK_LIBDIR:-/usr/lib/check_mk_agent|MK_LIBDIR:-%{_datadir}/check-mk-agent|;' \
    -e 's|MK_CONFDIR:-/etc/check_mk|MK_CONFDIR:-%{_sysconfdir}/check-mk-agent|;' \
    %{buildroot}%{_bindir}/check_mk_agent

# Server, livestatus and other modules installation
%if 0%{?rhel}
. /opt/rh/devtoolset-7/enable
%endif

%if 0%{?el6}%{?el7} || 0%{?fedora} >= 22
DESTDIR=%{buildroot} nagios_version='4.0.8' ./setup.sh --yes
%else
DESTDIR=%{buildroot} ./setup.sh --yes
%endif

# Some needed tweaks to modify setup.sh's defaults.

# /etc/apache2/conf.d --> /etc/httpd/conf.d
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
mv %{buildroot}%{_sysconfdir}/apache2/conf.d/zzz_check_mk.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/zzz_check_mk.conf
rm -rf %{buildroot}%{_sysconfdir}/apache2/

# Install the First-Installation.txt file
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/check_mk

# Make sure all the scripts into /usr/share/check_mk/{modules, inventory}
# and /usr/share/check-mk-agent/* are executable.
for file in %{buildroot}%{_datadir}/check_mk/checks/* ; do
   chmod -R a+x $file
done

for file in %{buildroot}%{_datadir}/check_mk/modules/* ; do
   chmod -R a+x $file
done

for file in %{buildroot}%{_datadir}/check_mk/inventory/* ; do
   chmod -R a+x $file
done

# Web app files are not intended to be run, remove the shebang
# TODO: ask upstream to do the same
for file in `find %{buildroot}%{_datadir}/check_mk/web -name '*.py'`; do
 sed -i '1{\@^#!/usr/bin/python@d}' $file
done

# Copy the check_mk_templates.cfg from the example file and remove the file installed
# on the /etc/nagios/objects directory.
mkdir -p %{buildroot}%{_sysconfdir}/nagios/conf.d/
cp -r %{buildroot}%{_datadir}/check_mk/check_mk_templates.cfg %{buildroot}%{_sysconfdir}/nagios/conf.d/check_mk_templates.cfg
rm %{buildroot}%{_sysconfdir}/nagios/objects/check_mk_templates.cfg

# Do not install all the plugins by default but make them available on a different
# directory. Users will then be able to symlink each of the plugins under the
# %%{_datadir}/check-mk-agent/plugins directory and finally mark them as active. (BZ: #1218516)
mkdir -p %{buildroot}%{_datadir}/check-mk-agent/available-plugins/
cp -r %{buildroot}%{_datadir}/check_mk/agents/plugins/* %{buildroot}%{_datadir}/check-mk-agent/available-plugins/
rm -rf %{buildroot}%{_datadir}/check_mk/agents/plugins/

# Remove other operating systems and unsupported archs plugins from the available set of plugins
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_db2.aix
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_haproxy.freebsd
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_inventory.aix
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_inventory.solaris
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_logwatch.aix
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_oracle.aix
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_oracle_asm
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_oracle_crs
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_sap.aix
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/netstat.aix
rm %{buildroot}%{_datadir}/check-mk-agent/available-plugins/nfsexports.solaris

# Rename Linux plugins
mv %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_inventory.linux %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_inventory
mv %{buildroot}%{_datadir}/check-mk-agent/available-plugins/netstat.linux %{buildroot}%{_datadir}/check-mk-agent/available-plugins/netstat
mv %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_db2.linux %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_db2

# check-mk-agent seems to complain when mk_logins is not available on the custom
# plugins directory. Make sure at least it gets installed in place.
mv %{buildroot}%{_datadir}/check-mk-agent/available-plugins/mk_logins %{buildroot}%{_datadir}/check-mk-agent/plugins/mk_logins

# Fix the path for the Nagios plugins
sed -i 's|/usr/lib/nagios/plugins|%{_libdir}/nagios/plugins|' \
  %{buildroot}%{_sysconfdir}/nagios/conf.d/check_mk_templates.cfg

# Needed by check_mk cli to work as expected
mkdir -p %{buildroot}%{python2_sitearch}
mv %{buildroot}%{_docdir}/check_mk/livestatus/api/python/livestatus.py %{buildroot}%{python2_sitearch}/

# Remove other operating systems agents, we definitely don't need them on this package.
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_agent.aix
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_agent.freebsd
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_agent.hpux
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_agent.macosx
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_agent.netbsd
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_agent.openbsd
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_agent.openvms
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_agent.solaris
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_agent.linux
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_caching_agent.linux
rm %{buildroot}%{_datadir}/check_mk/agents/mk-job.solaris
rm %{buildroot}%{_datadir}/check_mk/agents/check-mk-agent.spec
rm %{buildroot}%{_datadir}/check_mk/agents/check_mk_agent.openwrt
rm -rf %{buildroot}%{_datadir}/check_mk/agents/solaris/
rm -rf %{buildroot}%{_datadir}/check_mk/agents/hpux/
rm -rf %{buildroot}%{_datadir}/check_mk/agents/sap/
rm -rf %{buildroot}%{_datadir}/check_mk/agents/special/
rm -rf %{buildroot}%{_datadir}/check_mk/agents/z_os/

# Remove deprecated agent plugins documentation
rm -rf %{buildroot}%{_docdir}/check_mk/treasures/deprecated/

# Remove the previously installed check-mk-agent xinetd files
rm %{buildroot}%{_datadir}/check_mk/agents/cfg_examples/xinetd.conf
rm %{buildroot}%{_datadir}/check_mk/agents/cfg_examples/xinetd_caching.conf

# Remove the documentation for agents we are not going to package
rm -rf %{buildroot}%{_docdir}/check_mk/agents/

# Remove Windows files.
rm -rf %{buildroot}%{_docdir}/check_mk/windows/
rm -rf %{buildroot}%{_docdir}/check_mk/treasures/windows_msi/
rm -rf %{buildroot}%{_docdir}/check_mk/treasures/msexchange/
rm -rf %{buildroot}%{_datadir}/check_mk/agents/windows/

# Remove waitmax and its leftarounds from the wrong directory, the binary is being
# built and installed into the check-mk-agent's package already.
rm %{buildroot}%{_datadir}/check_mk/agents/waitmax
rm %{buildroot}%{_datadir}/check_mk/agents/waitmax.c
rm %{buildroot}%{_datadir}/check_mk/agents/Makefile

# Remove the packages and modbus directories.
rm -rf %{buildroot}%{_localstatedir}/lib/check_mk/packages/
rm -rf %{buildroot}%{_docdir}/check_mk/treasures/modbus/

# Make sure an /etc/check_mk/conf.d/wato directory is created for WATO to work properly
mkdir -p %{buildroot}%{_sysconfdir}/check_mk/conf.d/wato

# Make sure /var/lib/check_mk/packages, /var/lib/check_mk/persisted and /var/lib/check_mk/notify
# are created so that proper permissions are set.
mkdir -p %{buildroot}%{_localstatedir}/lib/check_mk/packages
mkdir -p %{buildroot}%{_localstatedir}/lib/check_mk/persisted
mkdir -p %{buildroot}%{_localstatedir}/lib/check_mk/notify

# Make sure the /var/lib/check_mk_agent/job directory is created by the RPM itself
# and assigned correct permissions.
mkdir -p %{buildroot}%{_localstatedir}/lib/check_mk_agent/job

# Remove mk-job from its old location
rm %{buildroot}%{_datadir}/check_mk/agents/mk-job

# Remove files that are present on other subpackages from -doc
rm %{buildroot}%{_docdir}/check_mk/AUTHORS
rm %{buildroot}%{_docdir}/check_mk/COPYING
rm %{buildroot}%{_docdir}/check_mk/ChangeLog

# Werks installation
mkdir -p %{buildroot}%{_docdir}/check_mk/werks/
mv %{buildroot}%{_datadir}/check_mk/werks/* %{buildroot}%{_docdir}/check_mk/werks/
rm -rf %{buildroot}%{_datadir}/check_mk/werks

# Install the check-mk man page in place
mkdir -p %{buildroot}%{_mandir}/man1/
mv %{buildroot}%{_docdir}/check_mk/check_mk.1 %{buildroot}%{_mandir}/man1/check_mk.1

# Python check-mk module directories
mkdir -p %{buildroot}%{python2_sitelib}/cmk/
mkdir -p %{buildroot}%{python2_sitelib}/cmk_base/

# Upstream now ships systemd service and socket files
%if 0%{?fedora} || 0%{?rhel} >= 7
mkdir -p %{buildroot}%{_unitdir}
mv %{buildroot}%{_datadir}/check_mk/agents/cfg_examples/systemd/check_mk@.service %{buildroot}%{_unitdir}/check_mk@.service
mv %{buildroot}%{_datadir}/check_mk/agents/cfg_examples/systemd/check_mk.socket %{buildroot}%{_unitdir}/check_mk.socket
%endif
rm -rf %{buildroot}%{_datadir}/check_mk/agents/cfg_examples/systemd

# Generate an /etc/nagios/htpasswd.users file making sure both the MD5-encrypted and
# cleartext passwords are shown. This action is needed as WATO seems to not accept
# cleartext stored passwords refusing the login. The cleartext password is shown as a comment
# just above the encrypted password.
sed -i 's/admin_users \= \[ \"nagiosadmin\" \]/admin_users \= \[ \"nagiosadmin\", "check_mk_admin\" \]/g' %{buildroot}%{_sysconfdir}/check_mk/multisite.mk

touch %{buildroot}%{_sysconfdir}/nagios/htpasswd.users
echo "# The check_mk_admin user password is '%{temp_password}'" | tee %{buildroot}%{_sysconfdir}/nagios/htpasswd.users
%if 0%{?rhel} <= 6
htpasswd -m -b %{buildroot}%{_sysconfdir}/nagios/htpasswd.users check_mk_admin %{temp_password}
%else
echo %{temp_password} | htpasswd -i %{buildroot}%{_sysconfdir}/nagios/htpasswd.users check_mk_admin
%endif

# Fix for 64-bit arches
%if %{_lib} == lib64
mkdir -p %{buildroot}%{_prefix}/lib64/check_mk
mv %{buildroot}%{_prefix}/lib/check_mk/livestatus.o %{buildroot}%{_prefix}/lib64/check_mk/
rmdir %{buildroot}%{_prefix}/lib/check_mk
%endif

rm %{_builddir}/check_mk-%{version}/active_checks/Makefile %{_builddir}/check_mk-%{version}/active_checks/check_mkevents.cc
mkdir -p %{buildroot}%{_prefix}/%{_lib}/nagios/plugins/check-mk
cp -r %{_builddir}/check_mk-%{version}/active_checks/* %{buildroot}%{_prefix}/%{_lib}/nagios/plugins/check-mk/
rm -f %{buildroot}%{_prefix}/lib/nagios/plugins/check_* %{buildroot}%{_prefix}/lib/nagios/plugins/Makefile

%if 0%{?fedora} >= 30
find %{buildroot} -type f | while read fi ; do if file -i "${fi}" | grep -q x-python ; then
 sed -i '1 s/\/usr\/bin\/env\ python/\/usr\/bin\/python2/' $fi
 sed -i '1 s/\/usr\/bin\/python$/\/usr\/bin\/python2/' $fi
fi
done
%endif

%files
%{_bindir}/cmk
%{_bindir}/mkp
%{_bindir}/check_mk
%config(noreplace) %{_sysconfdir}/check_mk/main.mk
%config(noreplace) %{_sysconfdir}/check_mk/main.mk-%{version}
%{_sysconfdir}/check_mk/First-Installation.txt
%{_sysconfdir}/check_mk/conf.d/README
%{_datadir}/check_mk/modules
%{_datadir}/check_mk/checks
%{_datadir}/check_mk/pnp-templates
%{_datadir}/check_mk/notifications
%{_datadir}/check_mk/inventory
%{_datadir}/check_mk/check_mk_templates.cfg
%{_prefix}/%{_lib}/nagios/plugins/check-mk
%{python2_sitearch}/livestatus.py*
%{_mandir}/man1/check_mk.1.gz
%config(noreplace) %{_sysconfdir}/httpd/conf.d/zzz_check_mk.conf
%config(noreplace) %{_sysconfdir}/nagios/conf.d/check_mk_templates.cfg
%attr(775, nagios, nagios) %{_localstatedir}/lib/check_mk/*
%attr(660, nagios, nagios) %config(noreplace) %{_sysconfdir}/nagios/auth.serials
%attr(660, nagios, nagios) %config(noreplace) %{_sysconfdir}/nagios/htpasswd.users
%doc COPYING ChangeLog AUTHORS
%doc %{_docdir}/check_mk/README

%files agent
%{_datadir}/check_mk/agents
%{_bindir}/check_mk_agent
%{_bindir}/check_mk_caching_agent
%{_bindir}/waitmax
%{_bindir}/mk-job
%{_datadir}/check-mk-agent
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_unitdir}/check_mk@.service
%{_unitdir}/check_mk.socket
%endif
%config(noreplace) %{_sysconfdir}/xinetd.d/check-mk-agent
%config(noreplace) %{_sysconfdir}/xinetd.d/check-mk-caching-agent
%config(noreplace) %{_sysconfdir}/check-mk-agent
%attr(755, -, -) %{_localstatedir}/lib/check_mk_agent/job
%doc COPYING

%files docs
%doc %{_docdir}/check_mk/checks
%doc %{_docdir}/check_mk/benchmark
%doc %{_docdir}/check_mk/helpers
%doc %{_docdir}/check_mk/livestatus
%doc %{_docdir}/check_mk/mkeventd
%doc %{_docdir}/check_mk/predictive
%doc %{_docdir}/check_mk/treasures
%doc %{_docdir}/check_mk/*.svg
%doc %{_docdir}/check_mk/*.gif
%doc %{_docdir}/check_mk/*.png
%doc %{_docdir}/check_mk/*.mk
%doc %{_docdir}/check_mk/manpage.template
%doc %{_docdir}/check_mk/skeleton_check
%doc %{_docdir}/check_mk/Doxyfile
%doc %{_docdir}/check_mk/missing-manpage
%doc %{_docdir}/check_mk/werks/*
%doc COPYING

%files multisite
%{_datadir}/check_mk/web
%config(noreplace) %{_sysconfdir}/check_mk/multisite.mk
%config(noreplace) %{_sysconfdir}/check_mk/multisite.mk-%{version}
%attr(770, nagios, nagios) %{_sysconfdir}/check_mk/conf.d/wato
%attr(770, nagios, nagios) %{_sysconfdir}/check_mk/multisite.d
%doc COPYING

%files livestatus
%{_bindir}/unixcat
%{_libdir}/check_mk
%doc COPYING

%files -n python2-cmk
%{python2_sitelib}/cmk
%{python2_sitelib}/cmk_base

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0p31-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 07 2019 Andrea Veri <averi@fedoraproject.org> - 1.4.0p31-7
- Make sure the string substitution literally match /usr/bin/python

* Wed Jun 05 2019 Andrea Veri <averi@fedoraproject.org> - 1.4.0p31-6
- Make sure Python shebangs are pointing to python2 explicitly (RH BZ: #1674734)

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0p31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Andrea Veri <averi@fedoraproject.org> - 1.4.0p31-4
- s/python_sitelib/python2_sitelib as python-cmk is a Python 2 module

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0p31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 01 2018 Andrea Veri <averi@fedoraproject.org> - 1.4.0p31-2
- Drop the un-needed dep on check-mk, land boost-system as a BR
  for check-mk-livestatus (BZ: #1585166)

* Fri May 11 2018 Andrea Veri <averi@fedoraproject.org> - 1.4.0p31-1
- New upstream release.
- New B-Ds: rrdtool-devel, boost-devel
- Start making use of the DST suite as check-mk requires a newer GCC
  than the one EPEL 6 / 7 ships with
- Upstream started shipping a Python module, land it on its own sub-package
- Landed 3 additional patches to make sure paths and versioning do match
  the ones EPEL 6 / 7 standards expect

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8p26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Oct 06 2017 Andrea Veri <averi@fedoraproject.org> - 1.2.8p26-1
- New upstream release, fixes CVE-2017-14955 (BZ: 1497971).

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8p18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8p18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.2.8p18-2
- Rebuild due to bug in RPM (RHBZ #1468476)

* Thu Mar 16 2017 Andrea Veri <averi@fedoraproject.org> - 1.2.8p18-1
- New upstream release.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8p11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Oct 03 2016 Andrea Veri <averi@fedoraproject.org> - 1.2.8p11-2
- Dist tag fix for mod_python to be a require on EL6 only.

* Thu Sep 29 2016 Andrea Veri <averi@fedoraproject.org> - 1.2.8p11-1
- New upstream release.

* Wed Mar 09 2016 Andrea Veri <averi@fedoraproject.org> - 1.2.6p16-3
- Make sure the /etc/nagios/auth.serials,htpasswd.users files are not
  overwritten at package update.

* Sat Feb 20 2016 Andrea Veri <averi@fedoraproject.org> - 1.2.6p16-2
- Fix the if statement for nagios_version to be assigned correctly
  to the relevant OSs releases needing it.

* Fri Feb 19 2016 Andrea Veri <averi@fedoraproject.org> - 1.2.6p16-1
- New upstream release
- Remove the strict dependency on xinetd as check-mk-agent is going to run
  even without it. (BZ: #1258969)
- Update permissions on check_mk/conf.d/wato and check_mk/multisite.d to 770. (BZ: #1281888)
- Rebuild --with-nagios4 needed (https://tracker.nagios.org/view.php?id=509) on
  OS releases that ship with Nagios 4 already. Thanks Marcin Dulak <Marcin.Dulak@gmail.com>
  for the patch. (BZ #1309350)
- Add the missing rrd_path to defaults{.py} files (BZ: #1281882)
- Generate an /etc/nagios/htpasswd.users file at every build for WATO to start properly.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6p9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 27 2015 Andrea Veri <averi@fedoraproject.org> - 1.2.6p9-1
- New upstream release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6p5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Andrea Veri <averi@fedoraproject.org> - 1.2.6p5-1
- New upstream release.
- Remove the dependency on php as it causes httpd and httpd-devel
  to be installed with it.

* Wed May 20 2015 Andrea Veri <averi@fedoraproject.org> - 1.2.6p3-1
- New upstream release.
- Do not create an /etc/check_mk/conf.d/wato directory on both the
  main and multisite packages.

* Tue May 05 2015 Andrea Veri <averi@fedoraproject.org> - 1.2.6p2-1
- New upstream release.
- Add a Require on bind-utils. (BZ: #1218501)
- Do not install all the plugins by default but make them available
  on a different directory. Users will then be able to symlink each
  of the plugins under the %%{_datadir}/check-mk-agent/plugins directory
  and finally mark them as active. Make sure mk_logins is however
  installed to prevent the agent to complain about it being missing. (BZ: #1218516)
- Get rid of plugins from unsupported archs or operating systems.

* Mon Apr 13 2015 Andrea Veri <averi@fedoraproject.org> - 1.2.6p1-1
- New upstream release.

* Tue Apr 07 2015 Andrea Veri <averi@fedoraproject.org> - 1.2.6-1
- New upstream release. Source0 is now generated directly from Git
  as Check-Mk's upstream has decided to not include source code files
  (.cc, .c) for livestatus, mkeventd and waitmax anymore on the tarballs
  they release. We want to have these binaries built during the RPM build,
  thus the need to repack the tarball with the procedure outlined above.
- Include the 02-Downtime-Struct-Update patch to prevent Nagios to core dump
  when a downtime is set. This was caused by a change on the downtime struct
  applied in the course of Nagios 3's development. Thanks Mike Battersby for
  the patch. (BZ: #1083003)
- Filter the /usr/bin/bash require on EL 6 as it's available under /bin/bash,
  additionally fix the /usr/bin/pnp shebang from the plugins/unitrends_backup file
  as that is a non-existent binary file, upstream probably meant php.
- PLUGINSDIR on the check_mk_agent binary file is set to be
  %%{_datadir}/check-mk-agent/plugins, make sure all the plugins are installed
  there and not on %%{_datadir}/check_mk/plugins instead.

* Tue Sep 30 2014 Andrea Veri <averi@fedoraproject.org> - 1.2.4p5-2
- Do not require any other shell than bash since that's the default
  shell for the Fedora / RHEL distributions.

* Wed Sep 17 2014 Andrea Veri <averi@fedoraproject.org> - 1.2.4p5-1
- New upstream release. Fixes CVEs:
  - CVE-2014-5338
  - CVE-2014-5339
  - CVE-2014-5340 (BZ: #1132337, #1132339, #1132341)
- Stop shipping the j4p_performance plugin as it's deprecated. (BZ: #1133068)
- Turn Wato_Legacy_Eval as True as we want to prevent breakages
  between machines running different Python and/or check-mk releases.
  This is necessary after the 'ast' move from 'pickle' (that was
  generating a insecure API call), however the 'ast' module is still
  not available for RHEL / CentOS 5 machines. The patch is there to
  avoid miscommunications between different distribution releases. More
  information is available at:
  http://mathias-kettner.com/check_mk_werks.php?werk_id=984.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4p2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4p2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Andrea Veri <averi@fedoraproject.org> - 1.2.4p2-2
- Install the mk-job binary on /usr/bin.
- Make sure the proper permissions are given to /var/lib/check_mk_agent/job
  to prevent any hard or symlink to be created by a normal user and pointing
  to any file on the filesystem exposing it on the check-mk-agent output being
  run as root. Fixes BZ #1101669.

* Mon Apr 14 2014 Andrea Veri <averi@fedoraproject.org> - 1.2.4p2-1
- New upstream release.

* Wed Apr 02 2014 Andrea Veri <averi@fedoraproject.org> - 1.2.4p1-1
- New upstream release. Fixes the missing two CVEs that were still
  left unfixed on 1.2.4:
  - CVE-2014-2330
  - CVE-2014-2331

* Tue Mar 25 2014 Andrea Veri <averi@fedoraproject.org> - 1.2.4-1
- New upstream release. Fixes the following CVEs:
  - CVE-2014-2329
  - CVE-2014-2332

* Wed Oct 02 2013 Andrea Veri <averi@fedoraproject.org> - 1.2.2p2-2
- Make sure an /etc/check_mk/conf.d/wato directory is created for WATO
  to work properly. (BZ: #987863)
- Improve the packages description.

* Sat Aug 31 2013 Andrea Veri <averi@fedoraproject.org> - 1.2.2p2-1
- New upstream release.

* Thu Aug 29 2013 Andrea Veri <averi@fedoraproject.org> - 1.2.2-6
- Make sure the waitmax binary gets built. Also thanks to John Reddy
  for his initial work on this. (BZ: #982769)
- Add an if statement for RHEL and make sure auto provides are not set
  automatically. (BZ #985285)
- Requires set to mod_python on RHEL, no mod_wsgi migration yet on EPEL. (BZ: #987852)
- Fix the perl command that was doing the needed substitution on the
  /usr/bin/check_mk_agent's configuration directories. Thanks Brainslug for the
  report. (BZ: #989793)
- In addition to a customized 'defaults' file, add a defaults.py accordingly. (BZ: #987859)

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 1.2.2-5
- Do not provide from a documentation

* Sun Apr 28 2013 Andrea Veri <averi@fedoraproject.org> 1.2.2-5
- Make sure the Nagios library path on the check_mk_templates.cfg file
  is correct on both x86_64 and i686 systems.

* Sat Apr 27 2013 Andrea Veri <averi@fedoraproject.org> 1.2.2-4
- Change check-mk-agent's binary name to check_mk_agent to match xinetd's file. (BZ: #956489)
- Remove other operating systems agents, we definitely don't need them on this package.
- Make sure that check_mk_templates gets shipped into /etc/nagios/conf.d. (BZ: #956492)
- Don't ship the auto-generated defaults file, but provide it with our customizations. This actually
  fixes BZ: #956496 since we modify the checkresults path to be the same as the one provided
  by Nagios itself, thus no need to create an additional directory.

* Fri Apr 12 2013 Dan Horák <dan[at]danny.cz> - 1.2.2-3
- fix for 64-bit arches

* Wed Apr 10 2013 Andrea Veri <averi@fedoraproject.org> 1.2.2-2
- Remove the extra % on the Requires field for multisite.

* Tue Apr 09 2013 Andrea Veri <averi@fedoraproject.org> 1.2.2-1
- New upstream release.
- Added a depends on Nagios.
- Start shipping the docs, multisite, livestatus packages.
- Make sure the check_mk_templates.cfg file gets installed on the relevant
  Nagios directory.
- Add the missing licenses.
- Switch package name to check-mk.
- Livestatus build has been fixed, switch the build/install system to use
  upstream's setup.sh.
- Include an handy First-Installation.txt file with instructions about what
  steps you should follow right after installing the check-mk's package.

* Fri Apr 05 2013 Andrea Veri <averi@fedoraproject.org> 1.2.0p4-1
- First package release.
